#----------------------------------------------------------------------------
# These are the override settiongs over the default properties for the
# Velocity Runtime.
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# R U N T I M E  L O G  
#----------------------------------------------------------------------------

# log to our existing slf4j
runtime.log.logsystem.class = org.sakaiproject.velocity.util.SLF4JLogChute

# default logger can be overridden
# runtime.log.logsystem.slf4j.logger = velocity.sakai.assignment.tool

# use this for no logging
#runtime.log.logsystem.class = org.apache.velocity.runtime.log.NullLogSystem

#----------------------------------------------------------------------------
# T E M P L A T E  E N C O D I N G
#----------------------------------------------------------------------------

# This encoding is needed to properly pass through international Unicode characters
input.encoding=UTF-8
output.encoding=UTF-8

#----------------------------------------------------------------------------
# F O R E A C H  P R O P E R T I E S
#----------------------------------------------------------------------------
# These properties control how the counter is accessed in the #foreach
# directive. By default the reference $velocityCount will be available
# in the body of the #foreach directive. The default starting value
# for this reference is 1.
#----------------------------------------------------------------------------

###directive.foreach.counter.name = velocityCount
###directive.foreach.counter.initial.value = 1

#----------------------------------------------------------------------------
# I N C L U D E  P R O P E R T I E S
#----------------------------------------------------------------------------
# These are the properties that governed the way #include'd content
# is governed.
#----------------------------------------------------------------------------

###directive.include.output.errormsg.start = <!-- include error : 
###directive.include.output.errormsg.end   =  see error log -->

#----------------------------------------------------------------------------
# P A R S E  P R O P E R T I E S
#----------------------------------------------------------------------------

directive.parse.max.depth = 10

#----------------------------------------------------------------------------
# T E M P L A T E  L O A D E R S
#----------------------------------------------------------------------------
# 
# 
#----------------------------------------------------------------------------

resource.loader = webapp, classpath

webapp.resource.loader.description = Velocity Webapp Resource Loader
webapp.resource.loader.class = org.apache.velocity.tools.view.servlet.WebappLoader
webapp.resource.loader.modificationCheckInterval = 0
webapp.resource.loader.cachingOn = true

classpath.resource.loader.description = Velocity Classpath Resource Loader
classpath.resource.loader.class = org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader

#----------------------------------------------------------------------------
# VELOCIMACRO PROPERTIES
#----------------------------------------------------------------------------
# global : name of default global library.  It is expected to be in the regular
# template path.  You may remove it (either the file or this property) if 
# you wish with no harm.
#----------------------------------------------------------------------------
velocimacro.library = VM_chef_library.vm,vm/assignment/assignment_macros.vm

###velocimacro.permissions.allow.inline = true
###velocimacro.permissions.allow.inline.to.replace.global = false
###velocimacro.permissions.allow.inline.local.scope = false

###velocimacro.context.localscope = false

#----------------------------------------------------------------------------
# INTERPOLATION
#----------------------------------------------------------------------------
# turn off and on interpolation of references and directives in string
# literals.  ON by default :)
#----------------------------------------------------------------------------
###runtime.interpolate.string.literals = true


#----------------------------------------------------------------------------
# RESOURCE MANAGEMENT
#----------------------------------------------------------------------------
# Allows alternative ResourceManager and ResourceCache implementations
# to be plugged in.
#----------------------------------------------------------------------------
resource.manager.class = org.apache.velocity.runtime.resource.ResourceManagerImpl
resource.manager.cache.class = org.apache.velocity.runtime.resource.ResourceCacheImpl
